%global pypi_name pydantic
%global commitId 619ff261c9bdc2a612ef2fcfa17a005dfefbcf21

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.8.1
Release:        1%{?dist}
Summary:        Data validation and settings management using python 3

License:        MIT
URL:            https://github.com/samuelcolvin/pydantic
Source0:        python-pydantic-619ff261c9bdc2a612ef2fcfa17a005dfefbcf21.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Data validation and settings management using python 3

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:  python%{python3_pkgversion}-typing-extensions >= 3.7.4.3

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Dec 16 2021 James Marshall <jamarsha@redhat.com> - 1.8.1-1
- Initial package.

